# Metadata Operations Invoke the Metadata API to retrieve Metadata Template to be applied to Assets during Asset creation. A Metadata Template defines a set of Metadata Attributes of varying types, including Text, Date, Controlled Vocabulary, Tabular, and Cascading Attributes. When a Metadata Template is assigned to a new Asset, the corresponding Metadata Attributes will be available for population on the Asset. ## Retrieve all Metadata Templates available to the current User. - [GET /metadata/template](https://api.tenovos.com/openapi/v1/metadata-operations/getmetadatatemplates.md): Retrieve all metadata templates available to the requesting user The user submitting the request must have administrator rights to view metadata templates. ## Get Metadata Template by ID. - [GET /metadata/template/{id}](https://api.tenovos.com/openapi/v1/metadata-operations/getmetadatatemplate.md): Retrieve the metadata template and its attributes list by template ID The user submitting the request to metadata template must have the Metadata Template Management security role privilege. In response, it will contain the metadata groups template have and each group metadata attributes list. ## Retrieve all Controlled Vocabularies available to the current User. - [GET /metadata/vocabulary](https://api.tenovos.com/openapi/v1/metadata-operations/getallcontrolledvocab.md): Retrieve all the controlled vocabularies available to the current user. In response, it will contain the list of metadata key/value pair and metadata definition attributes like id, name, type and search fields etc. ## Create a Controlled Vocabulary. - [POST /metadata/vocabulary](https://api.tenovos.com/openapi/v1/metadata-operations/createcontrolledvocab.md): Create a Controlled Vocabulary. User must have permission to create a controlled vocabulary. In response, it will contain the object of metadata definition attributes like id, name, type and search fields etc. ## Get Controlled Vocabulary by ID. - [GET /metadata/vocabulary/{id}](https://api.tenovos.com/openapi/v1/metadata-operations/getcontrolledvocab.md): Retrieve the Controlled Vocabulary and its attributes by Controlled Vocabulary Id In response, it will contain the list of metadata key/value pair and metadata definition attributes like id, name, type and search fields etc. ## Remove a Controlled Vocabulary. - [DELETE /metadata/vocabulary/{id}](https://api.tenovos.com/openapi/v1/metadata-operations/deletecontrolledvocab.md): Delete a Controlled Vocabulary. ## Update a Controlled Vocabulary. - [PATCH /metadata/vocabulary/{id}](https://api.tenovos.com/openapi/v1/metadata-operations/updatecontrolledvocab.md): Update a Controlled Vocabulary. User must have permission to update a controlled vocabulary. In response, it will contain the object of metadata definition attributes like id, name, type and search fields etc. ## Apply the metadata definition changes. - [POST /metadata/apply](https://api.tenovos.com/openapi/v1/metadata-operations/applymetadatachanges.md): Apply the metadata definition changes. Use this operation after making any modification in metadata. In response, it will contain the object of metadata definition attributes like id, name, type and search fields etc.